-include ../Makefile.rules

OBJBASE = sdl_main.o sdl_gfx.o sdl_font.o

OBJ = $(OBJBASE)

SRC = $(OBJBASE:%.o=%.c)

all: libsdlgl.a

libsdlgl.a: $(OBJ)
	$(AR) rcs libsdlgl.a $(OBJ)

dep: $(SRC)
	$(CC) -MM $(SRC) $(CFLAGS) > $(DEPENDFILE)

clean:
	rm -rf *.o
	rm -rf *.a
	rm -rf *~
	rm -rf *.rsc
	rm -rf .depend

displayobj:
	echo $(OBJ)

-include $(DEPENDFILE)
